RedCrawler API
Subreddit Feeds V2

Popular Feed V2

Fetch Reddit's sitewide Popular feed. Shows trending posts across all of Reddit.

GET /api/v2/feed/popular

Fetch Reddit's sitewide Popular feed. Shows trending posts across all of Reddit.

Query parameters

NameTypeRequiredDescription
limitstringNoMax posts to return, auto-paginates (1-500, default: 100)
sortstringNoSort order: hot, new, top, rising, best, controversial (default: hot)
time_filterstringNoTime filter for top/controversial: hour, day, week, month, year, all

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/feed/popular?limit=25&sort=hot&time_filter=<time_filter>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/feed/popular?limit=25&sort=hot&time_filter=<time_filter>", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/feed/popular?limit=25&sort=hot&time_filter=<time_filter>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "items": [
      {
        "node": {
          "id": "dDNfMXN5N3Zvbg==",
          "groupId": "t3_1sys4r2",
          "payload": null,
          "adPayload": null,
          "groupRecommendationContext": {
            "typeIdentifier": "global_good_visits",
            "sourceId": null,
            "name": null,
            "isContextHidden": true,
            "richText": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Suggested\"}],\"e\":\"par\"}]}"
          },
          "cells": [
            {
              "id": "UmljaFRleHRSZWNvbW1lbmRhdGlvbkNvbnRleHRDZWxsLXQzXzFzeTd2b24=",
              "rtJsonText": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Suggested\"}],\"e\":\"par\"}]}"
            },
            {
              "id": "TWV0YWRhdGFDZWxsLXQzXzFzeTd2b24=",
              "createdAt": "2026-04-28T17:20:13.898000+0000",
              "authorName": "u/Alexthegayreprimed",
              "color": {
                "rgbaColor": "#2972A3FF"
              },
              "detailsString": "r/interesting",
              "detailsLink": "interesting",
              "iconPath": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
              "iconShape": "ROUND",
              "isJoinButtonShown": true,
              "joinSubredditId": "t5_examples",
              "isOverflowButtonHidden": false,
              "mediaPath": null,
              "mediaDomain": null,
              "isRecommended": false,
              "statusIndicators": [],
              "isBrandAffiliate": false,
              "modUserNoteLabel": null
            },
            "\u2026 (4 more items)"
          ],
          "crosspostCells": [
            {},
            {},
            "\u2026 (4 more items)"
          ]
        }
      },
      {
        "node": {
          "id": "dDNfMXN5bXpkYg==",
          "groupId": "t3_1sys4r2",
          "payload": null,
          "adPayload": null,
          "groupRecommendationContext": {
            "typeIdentifier": "global_popular_hot_sort",
            "sourceId": null,
            "name": null,
            "isContextHidden": true,
            "richText": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Suggested\"}],\"e\":\"par\"}]}"
          },
          "cells": [
            {
              "id": "UmljaFRleHRSZWNvbW1lbmRhdGlvbkNvbnRleHRDZWxsLXQzXzFzeW16ZGI=",
              "rtJsonText": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Suggested\"}],\"e\":\"par\"}]}"
            },
            {
              "id": "TWV0YWRhdGFDZWxsLXQzXzFzeW16ZGI=",
              "createdAt": "2026-04-29T03:19:16.591000+0000",
              "authorName": "u/rbogrow",
              "color": {},
              "detailsString": "r/me_irl",
              "detailsLink": "me_irl",
              "iconPath": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
              "iconShape": "ROUND",
              "isJoinButtonShown": true,
              "joinSubredditId": "t5_examples",
              "isOverflowButtonHidden": false,
              "mediaPath": null,
              "mediaDomain": null,
              "isRecommended": false,
              "statusIndicators": [],
              "isBrandAffiliate": false,
              "modUserNoteLabel": null
            },
            "\u2026 (4 more items)"
          ],
          "crosspostCells": [
            {},
            {},
            "\u2026 (4 more items)"
          ]
        }
      }
    ],
    "count": 2
  },
  "error": null,
  "timestamp": "2026-04-29T09:00:11.931815+00:00"
}

On this page